repo/gentoo:master commit in: net-libs/nghttp2/

"Bernard Cafarelli" <[email protected]>
Newsgroups gmane.linux.gentoo.cvs
Message-ID <1786178156.4d2a4df49293dec9d687cf8f6f284221a51e9d2f.voyageur@gentoo>
commit:     4d2a4df49293dec9d687cf8f6f284221a51e9d2f
Author:     Bernard Cafarelli <voyageur <AT> gentoo <DOT> org>
AuthorDate: Sat Aug  8 08:35:43 2026 +0000
Commit:     Bernard Cafarelli <voyageur <AT> gentoo <DOT> org>
CommitDate: Sat Aug  8 08:35:56 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4d2a4df4

net-libs/nghttp2: add 1.70.0

Signed-off-by: Bernard Cafarelli <voyageur <AT> gentoo.org>

 net-libs/nghttp2/Manifest              |  2 +
 net-libs/nghttp2/nghttp2-1.70.0.ebuild | 74 ++++++++++++++++++++++++++++++++++
 2 files changed, 76 insertions(+)

diff --git a/net-libs/nghttp2/Manifest b/net-libs/nghttp2/Manifest
index 956683802fb4..df2b1a0bbb1d 100644
--- a/net-libs/nghttp2/Manifest
+++ b/net-libs/nghttp2/Manifest
@@ -1,2 +1,4 @@
 DIST nghttp2-1.69.0.tar.xz 1696336 BLAKE2B a1b3509fb609bd93f57e1eee85f24c2db30d15b384d01d1efb1073ccf730d7d8a12f16213f1b0d137d0c6e2cf1b52e03f15038626aed5d6eadf06bc0af233c08 SHA512 31858cfd4a85995d006753c40393a7c23d2bfdd54fdb355757bef1a72b42177d31fff958e9e765a19d83e949eac77998e2bbe933b9390d1f2a1365506f5f6271
 DIST nghttp2-1.69.0.tar.xz.asc 833 BLAKE2B bfa783399989588902a37e32c6f4e55d1bb10a94ef18f8189ba82f52db73e9414a07a4899d5ff7a3da8d741df06d7845047e4e6575d4943fd66b739512a6dfca SHA512 c0086da9409a2ef04a109229184e37819d18d2d0268cc0ac2c7b9d129cf32cb2893d1a61d4fe7a24c880ceced1faf98c7febd5915fb4be5de373346a73656068
+DIST nghttp2-1.70.0.tar.xz 2018996 BLAKE2B 3ecc4170b86dc45cfc33e78caa3eb3d7efa9ef35b4494f5c14e6a71b8dfee6ac47144cafc1e7a2962c8836d95d4f6553467600e6af44d64642c7d998a3582b10 SHA512 8d8a95dcd05dfe8a032b78d99b7d32a9f0ad2c952c4548de4c6b4af0d2f3c584b0a2854b31516eca20b0c9c30f20d0d040edfe9961a3084e96353012f711b9d1
+DIST nghttp2-1.70.0.tar.xz.asc 833 BLAKE2B c79aef8268858f912ffff550d62b3dc2179c6d636ca2dbd06acba46cc0f8e2f7ef3f475f0fb7a1e436bfafc453a665e4ccad8d4181bdfe9430f1f4a6ce631f7d SHA512 3ef7907a0838887029995c91bdcf63436651b217cded915a78ef4ceb9f30f1d011ed324b91a1171a969939d565a6c95d479b36462f0ce067c682b49e5912b090

diff --git a/net-libs/nghttp2/nghttp2-1.70.0.ebuild b/net-libs/nghttp2/nghttp2-1.70.0.ebuild
new file mode 100644
index 000000000000..88a5d2c2263b
--- /dev/null
+++ b/net-libs/nghttp2/nghttp2-1.70.0.ebuild
@@ -0,0 +1,74 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+# Built with autotools rather than cmake to avoid circular dep (bug #951525)
+
+inherit multilib-minimal
+
+DESCRIPTION="HTTP/2 C Library"
+HOMEPAGE="https://nghttp2.org/"
+
+if [[ ${PV} == 9999 ]] ; then
+	EGIT_REPO_URI="https://github.com/nghttp2/nghttp2.git"
+	inherit git-r3 autotools
+else
+	VERIFY_SIG_OPENPGP_KEY_PATH=/usr/share/openpgp-keys/nghttp2.asc
+	inherit verify-sig
+	SRC_URI="
+		https://github.com/nghttp2/nghttp2/releases/download/v${PV}/${P}.tar.xz
+		verify-sig? ( https://github.com/nghttp2/nghttp2/releases/download/v${PV}/${P}.tar.xz.asc )
+	"
+
+	KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~arm64-macos ~x64-macos ~x64-solaris"
+	BDEPEND="verify-sig? ( sec-keys/openpgp-keys-nghttp2 )"
+fi
+
+LICENSE="MIT"
+SLOT="0/1.14" # 1.<SONAME>
+IUSE="debug hpack-tools systemd test utils xml"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+	hpack-tools? ( >=dev-libs/jansson-2.5:= )
+	utils? (
+		>=dev-libs/openssl-1.0.2:0=[-bindist(-),${MULTILIB_USEDEP}]
+		>=dev-libs/libev-4.15[${MULTILIB_USEDEP}]
+		net-dns/c-ares:=[${MULTILIB_USEDEP}]
+		>=virtual/zlib-1.2.3:=[${MULTILIB_USEDEP}]
+	)
+	systemd? ( >=sys-apps/systemd-209 )
+	xml? ( >=dev-libs/libxml2-2.7.7:2=[${MULTILIB_USEDEP}] )
+"
+DEPEND="${RDEPEND}"
+BDEPEND+=" virtual/pkgconfig"
+
+src_prepare() {
+	default
+	[[ ${PV} == 9999 ]] && eautoreconf
+}
+
+multilib_src_configure() {
+	# TODO: enable HTTP3
+	# requires quictls/openssl, libngtcp2, libngtcp2_crypto_quictls, libnghttp3
+	local myeconfargs=(
+		--disable-examples
+		--disable-failmalloc
+		--disable-werror
+		--enable-threads
+		--without-jemalloc
+		$(use_enable debug)
+		$(multilib_native_use_enable hpack-tools)
+		$(multilib_native_use_with hpack-tools jansson)
+		$(multilib_native_use_with systemd)
+		$(multilib_native_use_enable utils app)
+		$(multilib_native_use_with xml libxml2)
+	)
+	ECONF_SOURCE="${S}" econf "${myeconfargs[@]}"
+}
+
+multilib_src_install_all() {
+	einstalldocs
+	find "${ED}"/usr -type f -name '*.la' -delete || die
+}
lmpx.com only provides a reader for public news (NNTP) servers. It is not affiliated with the servers or forums shown here and is not responsible for the content of articles, which is written by their respective authors.